ExpDecayDialog Class Reference

Fit exponential decay dialog. More...

`#include <ExpDecayDialog.h>`

Inheritance diagram for ExpDecayDialog:

## Public Slots

void | fit ()
void | setGraph (Graph *g)

## Public Member Functions

| ExpDecayDialog (int type, QWidget *parent=0, Qt::WFlags fl=0)

## Private Slots

void | activateCurve (const QString &)
void | changeDataRange ()

## Private Member Functions

void | closeEvent (QCloseEvent *)

## Private Attributes

DoubleSpinBox * | boxAmplitude
ColorButton * | boxColor
DoubleSpinBox * | boxFirst
QComboBox * | boxName
DoubleSpinBox * | boxSecond
DoubleSpinBox * | boxStart
DoubleSpinBox * | boxThird
DoubleSpinBox * | boxYOffset
QPushButton * | buttonCancel
QPushButton * | buttonFit
QLabel * | dampingLabel
Fit * | fitter
Graph * | graph
int | slopes
QLabel * | thirdLabel

## Detailed Description

Fit exponential decay dialog.

## Constructor & Destructor Documentation

ExpDecayDialog::ExpDecayDialog | ( | int | type,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References activateCurve(), boxAmplitude, boxColor, boxFirst, boxName, boxSecond, boxStart, boxThird, boxYOffset, buttonCancel, buttonFit, dampingLabel, fit(), ApplicationWindow::fit_output_precision, ColorButton::setColor(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setValue(), and thirdLabel.

## Member Function Documentation

void ExpDecayDialog::activateCurve | ( | const QString & | s | ) |

private slot

References boxAmplitude, boxStart, boxYOffset, Graph::curve(), graph, Graph::range(), DoubleSpinBox::setValue(), and slopes.

Referenced by ExpDecayDialog(), and setGraph().

void ExpDecayDialog::changeDataRange | ( |  | ) |

private slot

References boxStart, graph, Graph::selectedXEndValue(), Graph::selectedXStartValue(), and DoubleSpinBox::setValue().

Referenced by setGraph().

void ExpDecayDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References fitter, ApplicationWindow::pasteFitResultsToPlot, and Filter::showLegend().

void ExpDecayDialog::fit | ( |  | ) |

slot

References Graph::analysableCurvesList(), boxAmplitude, boxColor, boxFirst, boxName, boxSecond, boxStart, boxThird, boxYOffset, ColorButton::color(), Graph::curve(), Fit::fit(), ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, ApplicationWindow::fitPoints, fitter, Fit::generateFunction(), ApplicationWindow::generateUniformFitPoints, graph, Fit::results(), Fit::scaleErrors(), Filter::setColor(), Filter::setDataFromCurve(), Fit::setInitialGuesses(), Filter::setOutputPrecision(), DoubleSpinBox::setValue(), slopes, and DoubleSpinBox::value().

Referenced by ExpDecayDialog().

void ExpDecayDialog::setGraph | ( | Graph * | g | ) |

slot

References activateCurve(), Graph::analysableCurvesList(), boxName, changeDataRange(), Graph::curveRange(), fitter, graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

Referenced by ApplicationWindow::showExpDecayDialog().

## Member Data Documentation

DoubleSpinBox* ExpDecayDialog::boxAmplitude

private

Referenced by activateCurve(), ExpDecayDialog(), and fit().

ColorButton* ExpDecayDialog::boxColor

private

Referenced by ExpDecayDialog(), and fit().

DoubleSpinBox* ExpDecayDialog::boxFirst

private

Referenced by ExpDecayDialog(), and fit().

QComboBox* ExpDecayDialog::boxName

private

Referenced by ExpDecayDialog(), fit(), and setGraph().

DoubleSpinBox* ExpDecayDialog::boxSecond

private

Referenced by ExpDecayDialog(), and fit().

DoubleSpinBox* ExpDecayDialog::boxStart

private

Referenced by activateCurve(), changeDataRange(), ExpDecayDialog(), and fit().

DoubleSpinBox* ExpDecayDialog::boxThird

private

Referenced by ExpDecayDialog(), and fit().

DoubleSpinBox* ExpDecayDialog::boxYOffset

private

Referenced by activateCurve(), ExpDecayDialog(), and fit().

QPushButton* ExpDecayDialog::buttonCancel

private

Referenced by ExpDecayDialog().

QPushButton* ExpDecayDialog::buttonFit

private

Referenced by ExpDecayDialog().

QLabel * ExpDecayDialog::dampingLabel

private

Referenced by ExpDecayDialog().

Fit* ExpDecayDialog::fitter

private

Referenced by closeEvent(), fit(), and setGraph().

Graph* ExpDecayDialog::graph

private

Referenced by activateCurve(), changeDataRange(), fit(), and setGraph().

int ExpDecayDialog::slopes

private

Referenced by activateCurve(), and fit().

QLabel* ExpDecayDialog::thirdLabel

private

Referenced by ExpDecayDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/ExpDecayDialog.h
- qtiplot/src/analysis/dialogs/ExpDecayDialog.cpp